Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.action
Interface ICoolBarManager

All Superinterfaces:
  IContributionManager

All Known Implementing Classes:
  CoolBarManager, SubCoolBarManager

public interface ICoolBarManager
extends IContributionManager

The `ICoolBarManager` interface provides protocol for managing contributions to a cool bar. A cool bar manager delegates responsibility for creating child controls to its contribution items by calling `IContributionItem.fill(CoolBar, int)`.

This interface is internal to the framework; it should not be implemented outside the framework. This package provides a concrete cool bar manager implementation, `CoolBarManager`, which clients may instantiate or subclass.

Since:
  3.0
See Also:
  `ToolBarContributionItem`

Field Summary
`static String` | `SIZE` Property name of a cool item's size (value `"size"`).

Method Summary
`void` | `add(IToolBarManager toolBarManager)` A convenience method to add a tool bar as a contribution item to this cool bar manager.
`IMenuManager` | `getContextMenuManager()` Returns the context menu manager used by this cool bar manager.
`boolean` | `getLockLayout()` Returns whether the layout of the underlying cool bar widget is locked.
`int` | `getStyle()` Returns the style of the underlying cool bar widget.
`void` | `setContextMenuManager(IMenuManager menuManager)` Sets the context menu of this cool bar manager to the given menu manager.
`void` | `setLockLayout(boolean value)` Locks or unlocks the layout of the underlying cool bar widget.

Methods inherited from interface org.eclipse.jface.action.IContributionManager
`add, add, appendToGroup, appendToGroup, find, getItems, getOverrides, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll, update`

Field Detail

### SIZE

    public static final String SIZE

  Property name of a cool item's size (value `"size"`).

  The cool bar manager uses this property to tell its cool items to update their size.

  See Also:
    `@issue consider declaring this constant elsewhere`, Constant Field Values

Method Detail

### add

    public void add(IToolBarManager toolBarManager)

  A convenience method to add a tool bar as a contribution item to this cool bar manager. Equivalent to `add(new ToolBarContributionManager(toolBarManager))`.

  Parameters:
    `toolBarManager` - the tool bar manager to be added
  See Also:
    `ToolBarContributionItem`

### getContextMenuManager

    public IMenuManager getContextMenuManager()

  Returns the context menu manager used by this cool bar manager. This context menu manager is used by the cool bar manager except for cool items that provide their own.

  Returns:
    the context menu manager, or `null` if none
  See Also:
    `setContextMenuManager(org.eclipse.jface.action.IMenuManager)`

### getLockLayout

    public boolean getLockLayout()

  Returns whether the layout of the underlying cool bar widget is locked.

  Returns:
    `true` if cool bar layout is locked, `false` otherwise

### getStyle

    public int getStyle()

  Returns the style of the underlying cool bar widget.

  Returns:
    the style of the cool bar

### setContextMenuManager

    public void setContextMenuManager(IMenuManager menuManager)

  Sets the context menu of this cool bar manager to the given menu manager.

  Parameters:
    `menuManager` - the context menu manager, or `null` if none
  See Also:
    `getContextMenuManager()`

### setLockLayout

    public void setLockLayout(boolean value)

  Locks or unlocks the layout of the underlying cool bar widget. Once the cool bar is locked, cool items cannot be repositioned by the user.

  Note that items can be added or removed programmatically even while the cool bar is locked.

  Parameters:
    `value` - `true` to lock the cool bar, `false` to unlock

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.